require 'active_support/core_ext'
require 'nicoapi/base'


module NicoAPI
  class MylistRSS
    include NicoAPI::Base

    def initialize(mylist_id)
      @dynamic_segment = mylist_id.to_s
      @params_array = params_array
    end

    private
    def host
      'www.nicovideo.jp'
    end

    def static_segment
      'mylist'
    end

    def params_array
      [format]
    end

    def format
      "rss=2.0"
    end
  end
end
